## Modulemd.PackagerV3 Modulemd.PackagerV3 — Internal representation of the modulemd-packager v3 format. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdPackagerV3 * | modulemd_packager_v3_new ()
ModulemdPackagerV3 * | modulemd_packager_v3_copy ()
void | modulemd_packager_v3_set_module_name ()
const gchar * | modulemd_packager_v3_get_module_name ()
void | modulemd_packager_v3_set_stream_name ()
const gchar * | modulemd_packager_v3_get_stream_name ()
void | modulemd_packager_v3_set_summary ()
const gchar * | modulemd_packager_v3_get_summary ()
void | modulemd_packager_v3_set_description ()
const gchar * | modulemd_packager_v3_get_description ()
void | modulemd_packager_v3_add_module_license ()
void | modulemd_packager_v3_remove_module_license ()
void | modulemd_packager_v3_clear_module_licenses ()
GStrv | modulemd_packager_v3_get_module_licenses_as_strv ()
void | modulemd_packager_v3_set_xmd ()
GVariant * | modulemd_packager_v3_get_xmd ()
guint64 | modulemd_packager_v3_get_mdversion ()
void | modulemd_packager_v3_add_build_config ()
void | modulemd_packager_v3_clear_build_configs ()
GStrv | modulemd_packager_v3_get_build_config_contexts_as_strv ()
ModulemdBuildConfig * | modulemd_packager_v3_get_build_config ()
void | modulemd_packager_v3_set_community ()
const gchar * | modulemd_packager_v3_get_community ()
void | modulemd_packager_v3_set_documentation ()
const gchar * | modulemd_packager_v3_get_documentation ()
void | modulemd_packager_v3_set_tracker ()
const gchar * | modulemd_packager_v3_get_tracker ()
void | modulemd_packager_v3_add_profile ()
void | modulemd_packager_v3_clear_profiles ()
GStrv | modulemd_packager_v3_get_profile_names_as_strv ()
ModulemdProfile * | modulemd_packager_v3_get_profile ()
void | modulemd_packager_v3_add_rpm_api ()
void | modulemd_packager_v3_remove_rpm_api ()
void | modulemd_packager_v3_clear_rpm_api ()
void | modulemd_packager_v3_replace_rpm_api ()
GStrv | modulemd_packager_v3_get_rpm_api_as_strv ()
void | modulemd_packager_v3_add_rpm_filter ()
void | modulemd_packager_v3_remove_rpm_filter ()
void | modulemd_packager_v3_clear_rpm_filters ()
GStrv | modulemd_packager_v3_get_rpm_filters_as_strv ()
void | modulemd_packager_v3_replace_rpm_filters ()
void | modulemd_packager_v3_add_demodularized_rpm ()
void | modulemd_packager_v3_remove_demodularized_rpm ()
void | modulemd_packager_v3_clear_demodularized_rpms ()
GStrv | modulemd_packager_v3_get_demodularized_rpms ()
void | modulemd_packager_v3_replace_demodularized_rpms ()
void | modulemd_packager_v3_add_component ()
void | modulemd_packager_v3_remove_module_component ()
void | modulemd_packager_v3_clear_module_components ()
void | modulemd_packager_v3_remove_rpm_component ()
void | modulemd_packager_v3_clear_rpm_components ()
GStrv | modulemd_packager_v3_get_module_component_names_as_strv ()
GStrv | modulemd_packager_v3_get_rpm_component_names_as_strv ()
ModulemdComponentModule * | modulemd_packager_v3_get_module_component ()
ModulemdComponentRpm * | modulemd_packager_v3_get_rpm_component ()
ModulemdModuleIndex * | modulemd_packager_v3_convert_to_index ()

## Types and Values

#define | MODULEMD_TYPE_PACKAGER_V3
#define | MMD_PACKAGER_DEFAULT_MODULE_LICENSE
enum | ModulemdPackagerVersionEnum
| ModulemdPackagerV3

## Object Hierarchy

        GEnum
        ╰── ModulemdPackagerVersionEnum
        GObject
        ╰── ModulemdPackagerV3

## Description

## Functions

### modulemd_packager_v3_new ()

    ModulemdPackagerV3 *
    modulemd_packager_v3_new (void);

#### Returns

A newly-allocated ModulemdPackagerV3 object. This object must be freed with `g_object_unref()`.

[transfer full]

Since: 2.11

### modulemd_packager_v3_copy ()

    ModulemdPackagerV3 *
    modulemd_packager_v3_copy (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. |

#### Returns

A newly-allocated deep-copy of this ModulemdPackagerV3 object. This object must be freed with `g_object_unref()`.

[transfer full]

Since: 2.11

### modulemd_packager_v3_set_module_name ()

    void
    modulemd_packager_v3_set_module_name (ModulemdPackagerV3 *self,
                                          const gchar *module_name);

Sets the module name that this ModulemdPackagerV3 object references.

#### Parameters

self | This ModulemdPackagerV3 object. |
module_name | The name of the module. |

Since: 2.11

### modulemd_packager_v3_get_module_name ()

    const gchar *
    modulemd_packager_v3_get_module_name (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. |

#### Returns

The module name.

[transfer none]

Since: 2.11

### modulemd_packager_v3_set_stream_name ()

    void
    modulemd_packager_v3_set_stream_name (ModulemdPackagerV3 *self,
                                          const gchar *stream_name);

Sets the stream name that this ModulemdPackagerV3 object references.

#### Parameters

self | This ModulemdPackagerV3 object. |
stream_name | The name of the module. |

Since: 2.11

### modulemd_packager_v3_get_stream_name ()

    const gchar *
    modulemd_packager_v3_get_stream_name (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. |

#### Returns

The module stream name.

[transfer none]

Since: 2.11

### modulemd_packager_v3_set_summary ()

    void
    modulemd_packager_v3_set_summary (ModulemdPackagerV3 *self,
                                      const gchar *summary);

Sets the module's short description.

#### Parameters

self | This ModulemdPackagerV3 object. |
summary | A short description of the module. | [nullable]

Since: 2.11

### modulemd_packager_v3_get_summary ()

    const gchar *
    modulemd_packager_v3_get_summary (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. |

#### Returns

The short description of the module.

Since: 2.11

### modulemd_packager_v3_set_description ()

    void
    modulemd_packager_v3_set_description (ModulemdPackagerV3 *self,
                                          const gchar *description);

Sets the module's long description.

#### Parameters

self | This ModulemdPackagerV3 object. |
description | A complete description of the module. | [nullable]

Since: 2.11

### modulemd_packager_v3_get_description ()

    const gchar *
    modulemd_packager_v3_get_description (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. |

#### Returns

The long description of the module.

Since: 2.11

### modulemd_packager_v3_add_module_license ()

    void
    modulemd_packager_v3_add_module_license
                                   (ModulemdPackagerV3 *self,
                                    const gchar *license);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
license | A license under which this module stream is distributed. | [in]

Since: 2.11

### modulemd_packager_v3_remove_module_license ()

    void
    modulemd_packager_v3_remove_module_license
                                   (ModulemdPackagerV3 *self,
                                    const gchar *license);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
license | A license to remove from the list. Has no effect if the license is not present. | [in]

Since: 2.11

### modulemd_packager_v3_clear_module_licenses ()

    void
    modulemd_packager_v3_clear_module_licenses
                                   (ModulemdPackagerV3 *self);

Remove all module licenses from `self`

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

Since: 2.11

### modulemd_packager_v3_get_module_licenses_as_strv ()

    GStrv
    modulemd_packager_v3_get_module_licenses_as_strv
                                   (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

A GStrv of module licenses associated with this module stream.

[transfer full]

Since: 2.11

### modulemd_packager_v3_set_xmd ()

    void
    modulemd_packager_v3_set_xmd (ModulemdPackagerV3 *self,
                                  GVariant *xmd);

Sets the eXtensible MetaData (XMD) for this module. XMD is arbitrary YAML data that will be set and returned as-is (with the exception that the ordering of mapping keys is not defined). Useful for carrying private data.

This function assumes ownership of the XMD GVariant and thus should not be freed by the caller.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
xmd | A GVariant representing arbitrary YAML. | [in][transfer none]

Since: 2.11

### modulemd_packager_v3_get_xmd ()

    GVariant *
    modulemd_packager_v3_get_xmd (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

The extensible metadata block as a GVariant.

[transfer none]

Since: 2.11

### modulemd_packager_v3_get_mdversion ()

    guint64
    modulemd_packager_v3_get_mdversion (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

The metadata version of this ModulemdPackagerV3.

Since: 2.11

### modulemd_packager_v3_add_build_config ()

    void
    modulemd_packager_v3_add_build_config (ModulemdPackagerV3 *self,
                                           ModulemdBuildConfig *buildconfig);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
buildconfig | A ModulemdBuildConfig to include. | [in]

Since: 2.11

### modulemd_packager_v3_clear_build_configs ()

    void
    modulemd_packager_v3_clear_build_configs
                                   (ModulemdPackagerV3 *self);

Remove all added ModulemdBuildConfig objects from `self`

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

Since: 2.11

### modulemd_packager_v3_get_build_config_contexts_as_strv ()

    GStrv
    modulemd_packager_v3_get_build_config_contexts_as_strv
                                   (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

A list of contexts associated with the build configurations.

[transfer full]

Since: 2.11

### modulemd_packager_v3_get_build_config ()

    ModulemdBuildConfig *
    modulemd_packager_v3_get_build_config (ModulemdPackagerV3 *self,
                                           const gchar *context);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
context | The context of the ModulemdBuildConfig to retrieve from `self` . | [in]

#### Returns

A ModulemdBuildConfig with the provided `context` or NULL if it was not present.

[transfer none]

Since: 2.11

### modulemd_packager_v3_set_community ()

    void
    modulemd_packager_v3_set_community (ModulemdPackagerV3 *self,
                                        const gchar *community);

Set the module community website address.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
community | The upstream community website for this module. | [in]

Since: 2.11

### modulemd_packager_v3_get_community ()

    const gchar *
    modulemd_packager_v3_get_community (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

The module community website address.

[transfer none]

Since: 2.11

### modulemd_packager_v3_set_documentation ()

    void
    modulemd_packager_v3_set_documentation
                                   (ModulemdPackagerV3 *self,
                                    const gchar *documentation);

Set the module documentation website address.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
documentation | The upstream documentation website for this module. | [in]

Since: 2.11

### modulemd_packager_v3_get_documentation ()

    const gchar *
    modulemd_packager_v3_get_documentation
                                   (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

The module documentation website address.

[transfer none]

Since: 2.11

### modulemd_packager_v3_set_tracker ()

    void
    modulemd_packager_v3_set_tracker (ModulemdPackagerV3 *self,
                                      const gchar *tracker);

Set the module bug tracker website address.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
tracker | The upstream bug tracker website for this module. | [in]

Since: 2.11

### modulemd_packager_v3_get_tracker ()

    const gchar *
    modulemd_packager_v3_get_tracker (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

The module bug tracker website address.

[transfer none]

Since: 2.11

### modulemd_packager_v3_add_profile ()

    void
    modulemd_packager_v3_add_profile (ModulemdPackagerV3 *self,
                                      ModulemdProfile *profile);

Adds a ModulemdProfile to this ModulemdPackagerV3 object.

#### Parameters

self | This ModulemdPackagerV3 object. |
profile | The new ModulemdProfile to add. |

Since: 2.11

### modulemd_packager_v3_clear_profiles ()

    void
    modulemd_packager_v3_clear_profiles (ModulemdPackagerV3 *self);

Removes all ModulemdProfile objects from this ModulemdPackagerV3 object.

#### Parameters

self | This ModulemdPackagerV3 object. |

Since: 2.11

### modulemd_packager_v3_get_profile_names_as_strv ()

    GStrv
    modulemd_packager_v3_get_profile_names_as_strv
                                   (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. |

#### Returns

An ordered GStrv list of profile names associated with this ModulemdPackagerV3 object.

[transfer full]

Since: 2.11

### modulemd_packager_v3_get_profile ()

    ModulemdProfile *
    modulemd_packager_v3_get_profile (ModulemdPackagerV3 *self,
                                      const gchar *profile_name);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
profile_name | The name of a profile to retrieve. | [in]

#### Returns

The requested profile definition if present in the ModulemdPackagerV3 object. NULL otherwise.

[transfer none]

Since: 2.11

### modulemd_packager_v3_add_rpm_api ()

    void
    modulemd_packager_v3_add_rpm_api (ModulemdPackagerV3 *self,
                                      const gchar *rpm);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
rpm | The name of a binary RPM present in this module that is considered stable public API. | [in]

Since: 2.11

### modulemd_packager_v3_remove_rpm_api ()

    void
    modulemd_packager_v3_remove_rpm_api (ModulemdPackagerV3 *self,
                                         const gchar *rpm);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
rpm | A binary RPM name to remove from the list of stable public API. | [in]

Since: 2.11

### modulemd_packager_v3_clear_rpm_api ()

    void
    modulemd_packager_v3_clear_rpm_api (ModulemdPackagerV3 *self);

Remove all RPMs from the list of stable public API.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

Since: 2.11

### modulemd_packager_v3_replace_rpm_api ()

    void
    modulemd_packager_v3_replace_rpm_api (ModulemdPackagerV3 *self,
                                          GHashTable *set);

Any existing API RPMs associated with module stream `self` are removed and replaced by `set` .

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
set | A GHashTable set of binary RPMs present in this module stream that is considered stable public API. | [in]

Since: 2.11

### modulemd_packager_v3_get_rpm_api_as_strv ()

    GStrv
    modulemd_packager_v3_get_rpm_api_as_strv
                                   (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

An ordered GStrv list of binary RPM names that form the public API of this module stream.

[transfer full]

Since: 2.11

### modulemd_packager_v3_add_rpm_filter ()

    void
    modulemd_packager_v3_add_rpm_filter (ModulemdPackagerV3 *self,
                                         const gchar *rpm);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
rpm | The name of a binary RPM to filter out of this module stream. | [in]

Since: 2.11

### modulemd_packager_v3_remove_rpm_filter ()

    void
    modulemd_packager_v3_remove_rpm_filter
                                   (ModulemdPackagerV3 *self,
                                    const gchar *rpm);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
rpm | A binary RPM name to remove from the filter list. | [in]

Since: 2.11

### modulemd_packager_v3_clear_rpm_filters ()

    void
    modulemd_packager_v3_clear_rpm_filters
                                   (ModulemdPackagerV3 *self);

Remove all RPMs from the filter list.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

Since: 2.11

### modulemd_packager_v3_get_rpm_filters_as_strv ()

    GStrv
    modulemd_packager_v3_get_rpm_filters_as_strv
                                   (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

An ordered GStrv list of binary RPM names that are filtered out of this module stream.

[transfer full]

Since: 2.11

### modulemd_packager_v3_replace_rpm_filters ()

    void
    modulemd_packager_v3_replace_rpm_filters
                                   (ModulemdPackagerV3 *self,
                                    GHashTable *set);

Any existing filtered binary RPM names associated with module stream `self` are removed and replaced by `set` .

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
set | A GHashTable set of names of binary RPMs to filter out of this module stream. | [in]

Since: 2.11

### modulemd_packager_v3_add_demodularized_rpm ()

    void
    modulemd_packager_v3_add_demodularized_rpm
                                   (ModulemdPackagerV3 *self,
                                    const gchar *rpm);

Add a binary package name to a list of demodularized packages.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
rpm | A name of a binary RPM package to become non-modular. | [in]

Since: 2.13

### modulemd_packager_v3_remove_demodularized_rpm ()

    void
    modulemd_packager_v3_remove_demodularized_rpm
                                   (ModulemdPackagerV3 *self,
                                    const gchar *rpm);

Remove a binary package name from a list of demodularized packages.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
rpm | A binary RPM package name to remove from a demodularized list. | [in]

Since: 2.13

### modulemd_packager_v3_clear_demodularized_rpms ()

    void
    modulemd_packager_v3_clear_demodularized_rpms
                                   (ModulemdPackagerV3 *self);

Remove all RPM packages from a demodularized list of the object.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

Since: 2.13

### modulemd_packager_v3_get_demodularized_rpms ()

    GStrv
    modulemd_packager_v3_get_demodularized_rpms
                                   (ModulemdPackagerV3 *self);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

An ordered GStrv list of binary RPM package names that became non-modular.

[transfer full]

Since: 2.13

### modulemd_packager_v3_replace_demodularized_rpms ()

    void
    modulemd_packager_v3_replace_demodularized_rpms
                                   (ModulemdPackagerV3 *self,
                                    GHashTable *set);

Any existing demodularized binary RPM package names associated with module stream `self` are removed and replaced by `set` .

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
set | A GHashTable set of names of binary RPM packages to demodularize. | [in]

Since: 2.13

### modulemd_packager_v3_add_component ()

    void
    modulemd_packager_v3_add_component (ModulemdPackagerV3 *self,
                                        ModulemdComponent *component);

Add a component definition to the module.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
component | A ModulemdComponent to be added to this module stream. | [in][transfer none]

Since: 2.11

### modulemd_packager_v3_remove_module_component ()

    void
    modulemd_packager_v3_remove_module_component
                                   (ModulemdPackagerV3 *self,
                                    const gchar *component_name);

Remove a component from this module stream.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
component_name | The name of the component to remove from the module stream. | [in]

Since: 2.11

### modulemd_packager_v3_clear_module_components ()

    void
    modulemd_packager_v3_clear_module_components
                                   (ModulemdPackagerV3 *self);

Remove all module components from this module stream.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

Since: 2.11

### modulemd_packager_v3_remove_rpm_component ()

    void
    modulemd_packager_v3_remove_rpm_component
                                   (ModulemdPackagerV3 *self,
                                    const gchar *component_name);

Remove a component from this module stream.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
component_name | The name of the component to remove from the module stream. | [in]

Since: 2.11

### modulemd_packager_v3_clear_rpm_components ()

    void
    modulemd_packager_v3_clear_rpm_components
                                   (ModulemdPackagerV3 *self);

Remove all RPM components from this module stream.

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

Since: 2.11

### modulemd_packager_v3_get_module_component_names_as_strv ()

    GStrv
    modulemd_packager_v3_get_module_component_names_as_strv
                                   (ModulemdPackagerV3 *self);

[rename-to modulemd_packager_v3_get_module_component_names]

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

An ordered GStrv list of module component names included in this stream.

[transfer full]

Since: 2.11

### modulemd_packager_v3_get_rpm_component_names_as_strv ()

    GStrv
    modulemd_packager_v3_get_rpm_component_names_as_strv
                                   (ModulemdPackagerV3 *self);

[rename-to modulemd_packager_v3_get_rpm_component_names]

#### Parameters

self | This ModulemdPackagerV3 object. | [in]

#### Returns

An ordered GStrv list of RPM component names included in this stream.

[transfer full]

Since: 2.11

### modulemd_packager_v3_get_module_component ()

    ModulemdComponentModule *
    modulemd_packager_v3_get_module_component
                                   (ModulemdPackagerV3 *self,
                                    const gchar *component_name);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
component_name | The name of the component to retrieve. | [in]

#### Returns

The module component matching `component_name` if it exists, else NULL.

[transfer none]

Since: 2.11

### modulemd_packager_v3_get_rpm_component ()

    ModulemdComponentRpm *
    modulemd_packager_v3_get_rpm_component
                                   (ModulemdPackagerV3 *self,
                                    const gchar *component_name);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
component_name | The name of the component to retrieve. | [in]

#### Returns

The RPM component matching `component_name` if it exists, else NULL.

[transfer none]

Since: 2.11

### modulemd_packager_v3_convert_to_index ()

    ModulemdModuleIndex *
    modulemd_packager_v3_convert_to_index (ModulemdPackagerV3 *self,
                                           GError **error);

#### Parameters

self | This ModulemdPackagerV3 object. | [in]
error | A GError that will return the reason for a conversion error. | [out]

#### Returns

A newly-allocated ModulemdModuleIndex object containing a set of one or more ModulemdModuleStreamV2 objects and possibly a ModulemdDefaults object corresponding to the ModulemdPackagerV3 object `self` . NULL if there was an error doing the mapping and sets `error` appropriately. One of the errors is missing a module name or a stream name if a default profile is present.

[transfer full]

Since: 2.11

## Types and Values

### MODULEMD_TYPE_PACKAGER_V3

    #define MODULEMD_TYPE_PACKAGER_V3 (modulemd_packager_v3_get_type ())

### MMD_PACKAGER_DEFAULT_MODULE_LICENSE

    #define MMD_PACKAGER_DEFAULT_MODULE_LICENSE "MIT"

The ModulemdPackagerV3 default module metadata license.

Since: 2.11

### enum ModulemdPackagerVersionEnum

#### Members

MD_PACKAGER_VERSION_ERROR | Represents an error handling module stream version. |
MD_PACKAGER_VERSION_UNSET | Represents an unset module stream version. |
MD_PACKAGER_VERSION_TWO | Represents v2 of the ModulePackager metadata format. Since: 2.11 |
MD_PACKAGER_VERSION_THREE | Represents v3 of the ModulePackager metadata format. Since: 2.11 |
MD_PACKAGER_VERSION_LATEST | Represents the highest-supported version of the ModulePackager metadata format. |

Since: 2.11

### ModulemdPackagerV3

    typedef struct _ModulemdPackagerV3 ModulemdPackagerV3;